#pragma once
#ifndef PROCESSON_H
#define PROCESSON_H
#include <QtWidgets/QMainWindow>
#include <QtWidgets/QApplication>
#include <stdlib.h>
#include <stdio.h>
#include <vector>
#include <QObject>
#include "ui_ProcessOn.h"

class ProcessOn : public QMainWindow
{
    Q_OBJECT
private:
    Ui::ProcessOnMainWindow ui;

public:
    ProcessOn(QWidget* parent = nullptr);
    ~ProcessOn();
    void setRange(size_t start, size_t end);
    void setValue(size_t v);

};

#endif

